import java.util.*;

class Main {
    ArrayList<Integer>[] graph;

    public static void main(String[] args) {
        Scanner in = new Scanner(System.in);
        int test = in.nextInt();

        for (int t=0; t<test; t++) {
            Main main = new Main();
            int n = in.nextInt();
            in.nextLine(); //read the extra new line character
            //The above is because nextInt() ignores the \n character
            // that comes after the integer. nextLine() reads and
            //in this case discards this character.

            main.graph = new ArrayList[n];
            for (int i = 0; i < n; i++)
                main.graph[i] = new ArrayList<Integer>();

            for (int j=0; j<n; j++) {
                String adj = in.nextLine();

                //The split() functions splits the string
                //into an array of strings according the
                // split character " "  (space)
                for (String s : adj.split(" ")) {
                    //tries to parse each string to an integer
                    //and adds this integer to the adjacency list
                    //of the right vertex
                    try {main.graph[j].add(Integer.parseInt(s));}
                    catch (java.lang.NumberFormatException nfe) {
                        //do nothing, just ignore garbage characters
                        //for example the new line character \n
                    }
                }
            }
            //the input graph is read and stored in main.graph at this point

        }
    }
}
